<?php include('casa/setup.casa.php');
include('inc_scripts.php');
$title = 'Resumen de Ventas por Cajero';
echo "<title>".AppName.' - '.$title."</title>";
$id=DataForms::GET('id');
?>
<style>
th{background:#156E10;
color:white;
text-align:center;
text-transform:uppercase;}	
</style>
</head>
<body>
	<div class="wrapper">		
	<?php include('inc_menu.php');?>
		<div class="main-panel">
			<div class="content">
				
			<div class="page-inner">
					
					<div class="row">						
						<div class="col-md-12">
							<div class="card">
								<div class="card-header">
									<div class="d-flex align-items-center">
										<h3 class="card-title"><?php echo $title?></h3>																																									
									</div>
								</div>
								
								<div class="card-body">		
																									
									<div class="table-responsive">
										<div class="row" style='width:97%' align='left'>
											<div class="col-sm-3">
												<select id='cmbCajeros' class="btn btn-primary" style='color:white;text-align:left;'>
												<option value="ver">Cajeros</option>
												<?php
												$Cajeros = new DB();
												echo $sql = "SELECT * FROM rol_usuarios
												WHERE rol_id = '4'
												OR rol_id = '7';";
												$Cajeros->dbSQL($sql);
												$html='';
												while($Cajeros->next()){
													$us_id = $Cajeros->dbField("us_id");
													$us_codigo = $Cajeros->dbField("us_codigo");
													$ubica_codigo = $Cajeros->dbField("ubica_codigo");
													$us_ci = $Cajeros->dbField("us_ci");
													$us_nombres = $Cajeros->dbField("us_nombres");
													$us_apellidos = $Cajeros->dbField("us_apellidos");
													if($id == $us_id){
														$html.='<option value="'.$us_id.'" selected>'.$us_nombres.' '.$us_apellidos.'</option>';														
													}														
													else{
														$html.='<option value="'.$us_id.'">'.$us_nombres.' '.$us_apellidos.'</option>';														
													}
												}
												echo $html;
												?>
												</select>
											</div>																																					
										</div>	
										<table id="add-row" class="display table table-striped table-hover" >
											<thead>
												<tr>													
													<th>N&ordm;</th>
													<th>cajero</th>
													<th>fecha</th>
													<th>caja</th>
													<th>opciones</TH>
												</tr>
											</thead>											
											<tbody>
											<?php
											$sql = "SELECT * FROM ventas_cajeros
											WHERE cajeros_usid = '$id'
											AND cajeros_usid <> '0'
											GROUP BY caja_codigo 
											ORDER BY entre_id DESC;";	
											$db= new DB();
											$db->dbSQL($sql);
											$html='';
											$i=0;
											while($db->next()){						
											$i++;															
												$entre_codigo = $db->dbField("entre_codigo");
												$ven_codigo = $db->dbField("ven_codigo");
												$cajeros_usid = $db->dbField("cajeros_usid");
												$entre_estado = $db->dbField("entre_estado");
												$ent_fecha = $db->dbField("ent_fecha");
												$ent_fechaentrega = $db->dbField("ent_fechaentrega");
												$caja_codigo = $db->dbField("caja_codigo");
												$fecha = substr($ent_fechaentrega,0,10);

												$url = "?us=".$id."&fec=".$fecha;

												$html.='<tr>';
													$html.='<td align=center>'.$i.'</td>';
													$html.='<td align=left>'.Cajero($cajeros_usid).'</td>';
													$html.='<td align=center>'.$fecha.'</td>';
													$html.='<td align=right> Bs.'.Caja($caja_codigo).'</td>';																													   
													$html.="<td align='center'>
														<a href='".PATH_HOME.'resumen-ventas-detalles.php'.$url."' class='btn btn-primary' style='color:white'>
													DETALLES</a></td>";
												$html.='</tr>';											
												
											}//wend() 
											
											echo utf8_encode($html);
											?>													
											</tbody>
										</table>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				
			</div>
			<?php include('inc_pie.php');?>
		</div>
		
		
	</div>
</body>
</html>
<?php
function Caja($cod){
	$sql = "SELECT * FROM ventas_cajeros
	WHERE caja_codigo = '$cod';";
	$db=new DB();	
	$db->dbSQL($sql);	
	$suma=0;
	
	while($db->next()){
		$ven_codigo = $db->dbField('ven_codigo');
		$suma = $suma + Ventas($ven_codigo);
	}
	$suma = number_format($suma);
	return $suma;
}
function Ventas($ven_codigo){	
	$sql="SELECT SUM(ven_precio) AS total,ven_codigo,clie_codigo FROM ventas_productos 
	WHERE ven_codigo='$ven_codigo';";
	$db=new DB();	
	$cliente = new DB();
	$db->dbSQL($sql);
	$db->next();
		$total = $db->dbField('total');
	
	return $total;	
}
function Cajero($cod){
	$sql = "SELECT * FROM rol_usuarios
	WHERE us_id = '$cod';";
	$db=new DB();	
	$db->dbSQL($sql);
	$db->next();
		$ubica_codigo = $db->dbField('ubica_codigo');
		$us_ci = $db->dbField('us_ci');
		$us_nombres = $db->dbField('us_nombres');
		$us_apellidos = $db->dbField('us_apellidos');
	$cajero = $us_nombres.' '.$us_apellidos;
	$sucursal = $ubica_codigo;

	$datos = $cajero.'<br>
	<b>Ubicaci&oacute;n:</b>&nbsp;'.Sucursal($sucursal);

	return $datos;
}
function Sucursal($cod){
	$sql = "SELECT * FROM inventarios_ubicaciones
	WHERE ubica_codigo = '$cod';";
	$db=new DB();	
	$db->dbSQL($sql);
	$db->next();
	$sucursal = $db->dbField('ubica_nombre');

	return $sucursal;
}
?>
<script>
$(document).ready(function() {			
	$('#add-row').DataTable({
		"pageLength": 25,
	});
});	
$('#cmbCajeros').change(function(){
    let codegen = $(this).val();
    if(codegen == '') codegen ='ver';
    self.location="<?php echo PATH_HOME.'resumen-ventas.php?id='; ?>"+codegen;
});
</script>